locks_mandatory_locked
Prev | File Locks | Next

## Name

locks_mandatory_locked — Check for an active lock

## Synopsis

`int locks_mandatory_locked (` | struct inode * | inode`)`;

## Arguments

`inode`

  the file to check

## Description

Searches the inode's list of locks to find any POSIX locks which conflict. This function is called from `locks_verify_locked` only.

Prev | Up | Next
lock_may_write | Home | fcntl_getlease